---
search:
  tags:
    - Event settings
    - PATCH
seo:
  description: >-
    Update the event settings. Reference for the PATCH /api/admin/config
    endpoint in the Athena Jeopardy Admin API.
sidebar:
  label: Update the event settings
  badge: PATCH
title: Update the event settings
type: openapi-operation
---
`PATCH /api/admin/config`

**Request body** (`application/json`, required)

- `settings` (object, required)
- `expectedVersion` (number)

Request body example:

```json
{
  "settings": {
    "ctfTheme": "string",
    "ctfName": "string",
    "ctfDescription": "string",
    "heroTitle": "string",
    "startDate": "2019-08-24T14:15:22Z",
    "freezeDate": "2019-08-24T14:15:22Z",
    "endDate": "2019-08-24T14:15:22Z",
    "ctfLogoUrl": "string",
    "cooldownWrongAttemptsThreshold": 0,
    "cooldownSeconds": 0,
    "registrationOpen": true,
    "maxTeamSize": 1,
    "upcomingChallengesBannerEnabled": true,
    "solveNotificationEmailsEnabled": true,
    "reportNotificationEmails": [
      "user@example.com"
    ],
    "exportIncludeEmails": false,
    "marketing": {
      "hostedBy": "string",
      "prizePool": "string",
      "categories": [],
      "discordUrl": "string",
      "writeupsUrl": "string",
      "contactUrl": "string"
    },
    "rules": "",
    "faq": []
  },
  "expectedVersion": 0
}
```

**Responses**

- `200` — Success
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Not found
- `409` — Conflict
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "updated": true,
  "version": 0,
  "changedKeys": [
    "string"
  ]
}
```
